<?php
include "../ver_sessao.php";
include "../conecta.php";
set_time_limit(0);


define(NOME_VALOR,"prod_tx_valor");
define(NOME_QTDE,"prod_tx_qtde");




function index(){
	
	unset($_POST[ordem]);
	unset($_POST[ordem]);
	
	cabecalho('Devolução de Compra',2);
	
	if($_POST[busca_cod]!=''){
		$extra .= " AND enti_nb_id = '$_POST[busca_cod]' ";
	}
	
	if($_POST[busca_nome]!=''){
		$extra .= " AND enti_tx_nome LIKE '%$_POST[busca_nome]%' ";
	}
	
	if($_POST[busca_cnpj]!=''){
		$extra .= " AND enti_tx_cnpj = '$_POST[busca_cnpj]' ";
	}
	
	//CAMPOS
	$cod = cactux::campo('Código','busca_cod','',2);
	$nome = cactux::campo('Nome','busca_nome','',6);
	$cnpj = cactux::campo('CNPJ','busca_cnpj','',2,MASCARA_CNPJ);
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	// $inserirf = cactux::botao('Inserir P. Física',2,'inserir_fisica');
	// $inserirj = cactux::botao('Inserir P. Jurídica',2,'inserir_juridica');
	$status = cactux::msg_status();
	
	$sql = selecionar('entidade','enti_tx_status','ativo',"$extra",1);
	$BUSCA = grid::gerar_paginacao($sql);
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$nome,$cnpj);
	cactux::linha_fieldset($buscar,$inserirf,$inserirj,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	// cactux::acao_botao('inserir','abre_cliente');
	cactux::acao_botao('inserir_fisica','abre_cliente_fisico');
	cactux::acao_botao('inserir_juridica','abre_cliente_juridico');
	
	
	$cabecalho[] = array('CÓD','NOME','CNPJ','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '5%,,20%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){
		$valores[] = array($a[enti_nb_id],$a[enti_tx_nome],$a[enti_tx_cnpj],".icone_modificar($a[0],'abre_pedido')");
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
}



function abre_cliente_juridico(){
	
	chamar_pag('cadastro_cliente.php','acao,retorno','layout_entidade_juridico,devolucao.php');
	
	index();
	exit;
}




function abre_cliente_fisico(){
	
	chamar_pag('cadastro_cliente.php','acao,retorno','layout_entidade_fisico,devolucao.php');
	
	index();
	exit;
}




function abre_pedido(){
	
	$_POST[cliente] = $_POST[id];
	layout_pedido_cliente();
	exit;
	
}




function exclui_devolucao(){
	// AS DEVOLUCOES FINALIZADAS NÃO PODEM SER EXCLUIDAS
	$a_orde=carregar('ordem',$_POST[id]);
	remover('ordem',$_POST[id]);

	registra_acao('REMOVEU','ordem',$_POST[id]);


	$sql = selecionar('orpr','orpr_nb_ordem',"$_POST[id]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");

	// REMOVE TODAS AS ORPR
	while ( $a = carrega_array($sql) ) {

		remover('orpr',$a[orpr_nb_id]);

		registra_acao('REMOVEU','orpr',$a[orpr_nb_id]);
	}

	unset($_SESSION[ordem],$_POST[ordem],$_POST[busca_comandas],$_POST[cliente]);
	// SE FOR DO ORÇAMENTO, VAI PARA O ÍNDEX
	if ( $_POST[busca_acao] ) {
		index();

	} else {
		$_POST[id] = $a_orde[orde_nb_entidade];
		$_POST[cliente] = $a_orde[orde_nb_entidade];
		layout_pedido_cliente();
	}

	// layout_pedido_cliente();
	exit;
}




function layout_pedido_cliente(){
	
	cabecalho('Devolução de Compra',2);

	
	unset($_POST[ordem]);
	
	if($_POST[ordem]){
		$_POST[ordem] = $_POST[ordem];
	}

	if ( intval($_POST[cliente]) == 0 ) {
		set_status('ERRO: Nenhum cliente selecionado!');

		index();
		exit;
	}
	
	if($_POST[busca_codpedido]!=''){
		$extra .= " AND orde_nb_id = '$_POST[busca_codpedido]' ";
	}
	
	if($_POST[busca_datapedido]!=''){
		$date .= gera_data($_POST[busca_datapedido],1);
		$extra .= " AND orde_tx_data >= '$date 00:00:00' AND orde_tx_data <= '$date 23:59:59' ";
	}
	
	if($_POST[busca_situacaopedido]!=''){
		
		if($_POST[busca_situacaopedido] == 'Aberto')
			$extra .= " AND orde_tx_status = 'devolucao compra' ";
		else
			$extra .= " AND orde_tx_status = 'devolucao finalizada' ";
		
	}
	
	
	$cliente = carregar('entidade',$_POST[cliente]);


	cactux::abre_form();
	
	//TEXTOS
	$tx_forn = cactux::texto('Entidade:',$cliente[enti_nb_id]." - ".$cliente[enti_tx_nome],3);
	$tx_cnpj = cactux::texto('CNPJ/CPF:',$cliente[enti_tx_cnpj],5);
	
	//CAMPOS
	$cod = cactux::campo('Código','busca_codpedido','',2);
	$data = cactux::campo('Data','busca_datapedido','',2,MASCARA_DATA);
	$situa = cactux::combo('Situação','busca_situacaopedido',array('','Aberto','Encerrado'),$_POST[busca_situacaopedido],2);
	
	//BOTOES
	$voltar = cactux::botao('Voltar',2,'voltar');
	$buscar = cactux::botao_submit_busca('Buscar',2,'layout_pedido_cliente','cliente',$_POST[cliente]);
	$inserir = cactux::botao('Nova Devolução',2,'inserir');
	
	$sql = selecionar('ordem,entidade','orde_tx_status,orde_nb_entidade',"!inativo,$_POST[cliente]"," AND orde_tx_tipo = 'Devolução Compra' $extra ORDER BY orde_tx_data DESC, orde_nb_id DESC LIMIT 50");
		
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($tx_forn,$tx_cnpj);
	cactux::linha_fieldset($cod,$data,$situa);
	cactux::linha_fieldset($voltar,$buscar,$inserir);
	cactux::fecha_fieldset();
	cactux::fecha_form();

	
	cactux::acao_botao('voltar','index');
	cactux::acao_botao('inserir','layout_pedido','cliente,empresa',"$_POST[cliente],0");
	
	$cabecalho[] = array('CÓD','DATA','VALOR','Nº DE ITENS','SITUAÇÃO','','','');
	$cabecalho[] = 'c,c,c,c,c';
	$cabecalho[] = '7%,,20%,20%,15%,2%,2%,2%';
	$cabecalho[] = '60%';
	
	while( $a = carrega_array($sql) ){
		
		if ( $a[orde_tx_status] == 'devolucao compra' )
			$status = 'Aberto';
		else
			$status = 'Encerrado';


		// NÃO PERMITE EXCLUIR UMA DEVOLUÇÃO FINALIZADA, POR CAUSA DA NOTA FISCAL
		if ( $a[orde_tx_status] == 'devolucao compra' ) {

			$modificar = ".icone_modificar($a[orde_nb_id],'layout_pedido','cliente,ordem','$_POST[cliente],$a[orde_nb_id]')";
			$excluir = ".icone_excluir($a[orde_nb_id],'exclui_devolucao','cliente','$_POST[cliente]')";
		}

		
		//Nº DE ITENS
		$itens = selecionar('orpr','orpr_tx_status,orpr_nb_ordem',"ativo,$a[orde_nb_id]");
		$itens = num_linhas($itens);


		$imprimir = ".icone_modificar($a[orde_nb_id],'imprimir','','','../relatorios/pedido.php',' target=_blank','Imprimir Pedido','/cactus/imagens/imprimir.png')";
		
		$valores[] = array( $a[orde_nb_id], data($a[orde_tx_data],1), "R$ ".mostra_valor($a[orde_tx_valorTotal],1), $itens, $status, $imprimir, $modificar, $excluir );

		unset($modificar,$excluir);
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}




function reimprime_pedido(){
	
	chamar_pag('relatorios/pedido.php','acao,id',"imprimir,$_POST[ordem]",' target=_blank');
	layout_pedido_cliente();
	exit;
	
}



function imprimir_desconto(){

	chamar_pag('relatorios/pedido.php','acao,id',"imprimir_desconto,$_POST[ordem]",' target=_blank');
	layout_pedido_cliente();
	exit;
}




function layout_pedido(){
	global $CONFIGURA;


	if($_GET[busca_acao]!=''){
		$_SESSION[busca_acao]='orcamento';
		$_POST[busca_acao]='orcamento';
	}

	if($_POST[ordem]>0){
		$_POST[busca_comandas]=';'.$_POST[ordem];
	}

	if($_POST[busca_comandas] ==''){
		abrir_pedido();
	}

	if($_POST[pdv_sessao]!='')
		$_SESSION[pdv]=$_POST[pdv_sessao];

	if($_POST[id_recebimento]>0){
		$disable_botao='disabled';
	}

	// VERIFICA SE IMPORTOU ALGUM PEDIDO
	if (trim($_POST[busca_comandas])!='') {
		$disable_botao2='disabled';
	}

	
	$comandas = $_POST[busca_comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);


	frame_interno(0);


	cabecalho('Devolução de Compra');


	// MUDA O TÍTULO DA JANELA SEM REABRIR O PROCESSO
	// javascript(" parent.document.getElementById('titulo_2').innerHTML = '".strtoupper($a_pdv[pdv_tx_nome]).' - '.$nome_cliente."'; ");


	cactux::abre_form();


	// GARANTE O REENVIO DO CÓDIGO DAS COMANDAS
	campo_hidden('busca_comandas',$_POST[busca_comandas]);
	campo_hidden('busca_orcamento',$_POST[busca_orcamento]);


	// echo "<h1 align=center style='font-size:20px; font-family: Verdana;  font-weight: bold; width:79%; float:left;'>".strtoupper($a_pdv[pdv_tx_nome])."</h1>";

	// echo "<table border=0 width=19% class=rel style='float:right; margin-right:20px;'>";
	// echo "<tr><td align=left>OPERADOR: ".substr($a_pdv[user_tx_nome], 0, 20)."</td></tr>";
	// echo "<tr><td align=left>CLIENTE: $nome_cliente</td></tr>";
	// echo "<tr><td align=left>DATA: ".data($a_pdv[caix_tx_data],1)." HORA: ".data($a_pdv[caix_tx_data],2)." </td></tr>";
	// echo "</table>";
	if($_POST[busca_comandas]!=''){
		$id_orde_cli=explode(";",$_POST[busca_comandas]);
		$a_orde_clie = carregar('enti_tx_nome,orde_nb_user,enti_nb_id|ordem,entidade',$id_orde_cli[1]);
		if($a_orde_clie[orde_nb_user] > '1')
			$a_orde_vend = carregar('enti_tx_nome|entidade',$a_orde_clie[orde_nb_user]);
	}

	$codigo_barras = cactux::campo('PRODUTO:','buscar_codigo_barras','',8," id=buscar_codigo_barras autofocus style='height:30px; font-size:20px; align:center'");
	$descricao = cactux::campo('DESCRIÇÃO DO PRODUTO:','descricao_produto',$_POST[descricao_produto],8," id=descricao_produto disabled style='height:30px; font-size:20px; align:center'");
	$quantidade = cactux::campo('QUANTIDADE:','quantidade',1,2," $disable_botao onfocus='this.select();'  id=quantidade style='height:30px; font-size:20px; align:center'");
	$campo_cliente = cactux::campo('CLIENTE:','cliente',$a_orde_clie[enti_tx_nome],4," $disable_botao onfocus='this.select();'  id=campo_cliente style='height:15px; font-size:15px; align:center'");
	if($CONFIGURA[MODO_PRESCRITOR]=='SIM')
		$campo_vendedor = cactux::campo('PRESCRITOR:','vendedor',$a_orde_vend[enti_tx_nome],4," $disable_botao onfocus='this.select();'  id=campo_vendedor style='height:15px; font-size:15px; align:center'");
	else
		$campo_vendedor = cactux::campo('VENDEDOR:','vendedor',$a_orde_vend[enti_tx_nome],4," $disable_botao onfocus='this.select();'  id=campo_vendedor style='height:15px; font-size:15px; align:center'");

	// $codigo_barras = combo_net_pdv('!CÓDIGO DE BARRAS:','buscar_codigo_barras','','',10,array('busca_produto.php','busca_produto_net.php?origem=pdv')," $disable_botao style='height:30px; font-size:20px; align:center;' ");
	$valor_unitario = cactux::campo('VALOR UNITÁRIO(R$):','valor_unitario',$_POST[valor_unitario],10," id=valor_unitario disabled disabled style='height:30px; font-size:20px; align:center'");
	$valor_total = cactux::campo('VALOR TOTAL(R$):','valor_total',$_POST[valor_total],2," id=valor_total disabled style='height:30px; font-size:20px; align:center'");

	// BOTÕES
	$lancar = cactux::botao_submit_busca('LANÇAR',2,'adiciona_item','n_comanda,n_recebimento,busca_acao',"0,0,$_POST[busca_acao]");

	// $consultar_produtos = cactux::botao('ORÇAMENTO',2,'voltar','');
	// $consultar_produtos = cactux::botao('ORÇAMENTO',2,'orcamento','');
	// $identificar_cliente = cactux::botao('CLIENTES',2,'identificar_cliente',"$disable_botao onclick=abre_janela_modal_rapida('combonet_cliente','pdv/busca_cliente_net.php?comandas=$_POST[busca_comandas]')");
	
	// if($CONFIGURA[MODO_PRESCRITOR]=='SIM')
	// 	$identificar_vendor = cactux::botao('PRESCRITOR',2,'identificar_vendedor',"$disable_botao onclick=abre_janela_modal_rapida('combonet_vendedor','pdv/busca_vendedor_net.php?comandas=$_POST[busca_comandas]')");
	// else
	// 	$identificar_vendor = cactux::botao('VENDEDOR',2,'identificar_vendedor',"$disable_botao onclick=abre_janela_modal_rapida('combonet_vendedor','pdv/busca_vendedor_net.php?comandas=$_POST[busca_comandas]')");
	
	$cancelar = cactux::botao('DESCARTAR',2,'cancelar_ordem2','onclick=descartar_pedidos()');

	$desconto_item = cactux::botao('AJUSTES',2,'desconto_item',"$disable_botao onclick=abre_janela_modal_rapida('combonet_desconto','../pdv/busca_desconto_net.php?comandas=$_POST[busca_comandas]&m_unitario=1&".cactux_cookie::url_sistema()."&t_devolucao=sim')");

	// $pagamento = cactux::botao('FINALIZAR',2,'form_pagamento');
	$finaliza_devolucao = cactux::botao('FINALIZAR',2,'finaliza_devolucao',"$disable_botao onclick=abre_janela_modal_rapida('combonet_desconto','../pdv/busca_finaliza_devolucao_net.php?comandas=$_POST[busca_comandas]&m_unitario=1&".cactux_cookie::url_sistema()."')");	


	$venda_n = cactux::campo('DEVOLUÇÃO&nbsp;COMPRA&nbsp;Nº:','venda_n',substr($_POST[busca_comandas],1),2," disabled=disabled id=venda_n style='height:15px; font-size:15px; align:center'");
	

	// CAMPOS TOTAIS	
	$sub_total = cactux::campo('SUB-TOTAL:','sub_total','',5," id=campo_sub_total disabled ");
	$desconto = cactux::campo('DESCONTO:','desconto',mostra_valor($total_desconto,1),5," id=campo_desconto disabled ");
	$total = cactux::campo('','total','',0," id=campo_total disabled style='display:none;height:30px; font-size:20px; align:center'");

	// campo_hidden('id_produto',0);
	// campo_hidden('codigo_barras','');
	echo "<input type=text style='display:none' id=id_produto name=id_produto value=0>";
	echo "<input type=text style='display:none' id=codigo_barras name=codigo_barras>";
	echo "<input type=text style='display:none' id=nome_codigo_barras name=nome_codigo_barras>";
	echo "<input type=text style='display:none' id=valor_total_pagar name=valor_total_pagar>";
	echo "<input type=text style='display:none' id=id_cliente name=id_cliente value=0>";
	echo "<input type=text style='display:none' id=id_vendedor name=id_vendedor value=0>";
	// echo "<input type=text style='display:none' id=busca_orcamento name=id_vendedor value=$_POST[busca_orcamento]>";

	echo "<style>
		ul {
		width: 100%;
		margin-top: 0;


	}

	li {
		text-align: right;
		width: 99%;
		float: left;
		border: 1px solid white;
		margin-bottom: -1px;
		padding-right: 1%;
		background-color: #dbdfe1;
	}

	li:nth-child(even) {
		background-color: #b4cae9;
	}
		

	</style>";

	$select ="<div id=lista_produto style='display:none;width:98%;position:absolute;background:white;z-index: 1;cursor: pointer;'>
		<ul id=ul_produto>
		</ul>
	<div>";
	$select2 ="<div id=lista_cliente style='display:none;width:98%;position:absolute;background:white;z-index: 1;cursor: pointer;'>
		<ul id=ul_cliente>
		</ul>
	<div>";
	$select3 ="<div id=lista_vendedor style='display:none;width:98%;position:absolute;background:white;z-index: 1;cursor: pointer;'>
		<ul id=ul_vendedor>
		</ul>
	<div>";


	$status = cactux::msg_status(10);


	cactux::abre_fieldset();
		echo "<table border=0 width=99%>";
		
		echo "<tr><td>";
		cactux::linha_fieldset($campo_cliente,$campo_vendedor,$venda_n);
		cactux::linha_fieldset($codigo_barras,$quantidade,$total);
		cactux::linha_fieldset($select);
		cactux::linha_fieldset($select2);
		cactux::linha_fieldset($select3);
		echo "</td></tr>";

		echo "<tr>";
		// echo "<td width=300px valign=top>";

		// cactux::linha_fieldset($codigo_barras);
		// cactux::linha_fieldset($select);
		// cactux::linha_fieldset($quantidade);
		// cactux::linha_fieldset($valor_unitario);
		// cactux::linha_fieldset($valor_total);
		
		// echo "</td>";
		echo "<td  valign=top>";

		//echo "<iframe name=frame_comanda id=frame_comanda width=100% height=205px src=pdv.php?acao=exibe_comanda&comandas=$_POST[busca_comandas] frameborder=no></iframe>";
		//echo "<iframe name=frame_comanda id=frame_comanda width=100% height=205px src=pdv.php?acao=exibe_comanda&comandas=$_POST[busca_comandas] frameborder=no></iframe>";
		$_GET[comandas] = $_POST[busca_comandas];
		echo "<div style='border:0px solid; width:100%; height:230px; '>";
		$ret_iframe = exibe_comanda_novo();

		echo "</div>";

		echo "</td>";
		echo "</tr>";


		echo "</table>";
		cactux::linha_fieldset($troco);
	cactux::fecha_fieldset();



	cactux::abre_fieldset();
		
		// CRIA O CAMPO DO SUBMIT COMO HIDDEN
		echo "<div id=div_total style='display:none;'>";
		echo $lancar;
		echo "</div>";

		echo "<table border=0 width=99%>";
		echo "<tr>";
		echo "<td width=100% valign=top>";
		
		// cactux::linha_fieldset($consultar_produtos,$identificar_cliente,$importar_pedido,$cancelar_item,$desconto_item);//,
		// cactux::linha_fieldset($cancelar_venda,$recebimento,$operacao,$finaliza_devolucao,$fechar_caixa);


		echo "<style>

			.tamanho_2.lblbutton{
				width: 25%;
			}

		</style>";
		
		cactux::linha_fieldset($cancelar,$desconto_item,$consultar_produtos,$finaliza_devolucao);

		

		echo "</td></tr></table>";
		
		// AQUI VAO AS JANELAS MODAIS.
		$combonet_cliente = janela_modal_rapida('combonet_cliente','pdv/busca_cliente_net.php?comandas='.$_POST[busca_comandas]);
		$combonet_vendedor = janela_modal_rapida('combonet_vendedor','pdv/busca_vendedor_net.php?comandas='.$_POST[busca_comandas]);
		$combonet_desconto = janela_modal_rapida('combonet_desconto','pdv/busca_desconto_net.php?comandas='.$_POST[busca_comandas]."&busca_acao=$_POST[busca_acao]");
		$combonet_finaliza = janela_modal_rapida('combonet_finaliza','pdv/busca_finaliza_devolucao_net?comandas='.$_POST[busca_comandas]."&busca_acao=$_POST[busca_acao]");
		$combonet_suprimento = janela_modal_rapida('combonet_suprimento','busca_suprimento_net.php');
		$combonet_sangria = janela_modal_rapida('combonet_sangria','busca_sangria_net.php');
		$combonet_fechamento = janela_modal_rapida('combonet_fechamento','busca_fechamento_net.php');
		$combonet_importar = janela_modal_rapida('combonet_importar','busca_importar_net.php');
		$combonet_cancelar_item = janela_modal_rapida('combonet_cancelar_item','busca_cancelaitem_pdv_net.php?comandas='.$_POST[busca_comandas]);
		$combonet_recebimento = janela_modal_rapida('combonet_recebimento','busca_recebimento_net.php');
		$combonet_recebimento = janela_modal_rapida('combonet_codigo_barras','busca_produto_net.php');
		
//		cactux::linha_fieldset($combonet_cliente,$combonet_desconto,$combonet_suprimento,$combonet_sangria,$combonet_fechamento);

	cactux::fecha_fieldset();

	// echo "<div id=div_total style='visibility:hidden;'></div>";
	// echo "<div id=div_total_pagar style='visibility:hidden;'></div>";

	cactux::fecha_fieldset();




	cactux::fecha_form();
	cactux::acao_botao('form_categoria','layout_categoria','id,busca_acao',"0,$_POST[busca_acao]");
	cactux::acao_botao('form_pagamento','encerrar_devolucao','busca_comandas,sub_total,id_recebimento,busca_orcamento,busca_acao',"$_POST[busca_comandas],0,$_POST[id_recebimento],$_POST[busca_orcamento],$_POST[busca_acao]");
	cactux::acao_botao('form_voltar','volta_menu','busca_acao',"$_POST[busca_acao]");
	cactux::acao_botao('voltar','abre_pedido_cliente','id,busca_acao',"$a_orde_clie[enti_nb_id],$_POST[busca_acao]");
	cactux::acao_botao('orcamento','cadastra_orcamento','id,busca_acao',"$a_orde_clie[enti_nb_id],$_POST[busca_acao]");
	cactux::acao_botao('form_impressao_fechamento','volta_impressao_fechamento','id_caixa,busca_acao',"0,$_POST[busca_acao]");
	cactux::acao_botao('form_cancela_pagamento_venda','cancela_item_venda','item_cancelar,busca_comandas,busca_acao',"0,$_POST[busca_comandas],$_POST[busca_acao]");
	cactux::acao_botao('form_descarta_itens','descartar_comandas','busca_comandas,busca_acao',"'',$_POST[busca_acao]");
	cactux::acao_botao('form_desconto_itens','alerta_faz_desconto_item','busca_comandas,item,valor_desconto,tipo_desconto,busca_acao',"$_POST[busca_comandas],0,0,0,$_POST[busca_acao]");
	cactux::acao_botao('form_abre_cliente','layout_pedido','busca_comandas,busca_acao',"$_POST[busca_comandas],$_POST[busca_acao]"); // FORM UTILIZADO PARA RECARREGAR A JANELA AO SELECIONAR UM CLIENTE
	cactux::acao_botao('form_recebimento','cadastra_recebimento','busca_comandas,sub_total,entidade,valor,id_recebimento,busca_acao',"$_POST[busca_comandas],$_POST[sub_total],0,0,0,$_POST[busca_acao]");
	cactux::acao_botao('form_imprime_boleto','','id',"0",'boletophp/boleto_bnb.php','',' target=_blank');
	cactux::acao_botao('form_adiciona_taxa','adiciona_taxa','busca_comandas,busca_acao',"$_POST[busca_comandas],$_POST[busca_acao]");
	cactux::acao_botao('form_excluir_comanda','','id,busca_comandas,busca_acao',"0,$_GET[comandas],$_POST[busca_acao]");
	cactux::acao_botao('form_ultima_venda','ultima_venda','id,busca_comandas,busca_acao',"0,$_GET[comandas],$_POST[busca_acao]");
	cactux::acao_botao('cancelar_ordem','exclui_devolucao','id,busca_comandas,busca_acao',"$id_orde_cli[1],$_GET[comandas],$_POST[busca_acao]");



	if ($_POST[erro])
		javascript("alert('".$_POST[erro]."')");
	// if( $_POST[msg_status] )
	// 	javascript("alert('".$_POST[msg_status]."')");

	// if( $_POST[acao_iframe] == 'imprimir_nfe') {
		
	// 	$link = "emissao_nfce.php?acao_auto=imprimir&id_ordem_auto=$_POST[id_ordem_finalizar]&".cactux_cookie::url_sistema();
	// 	echo "<center><iframe id=frame_nfce src='$link' width=0px height=0px frameborder=no></iframe></center>";
	// }
	// if( $_POST[acao_iframe] == 'imprimir_cupom') {
		
	// 	//$link = "emissao_nfce.php?acao_auto=imprimir&id_ordem_auto=$_POST[id_ordem_finalizar]";
	// 	$link = "/agropet/pdv/pdv_imprime_pdf.php?path=impressao/conteudo_imprimir.pdf";	
	// 	echo "<center><iframe id=frame_nfce src='$link' width=0px height=0px frameborder=no></iframe></center>";
	// }



	// CRIA UM JAVASCRIPT PARA ESCONDER A BARRA DE TÍTULOS
	if ( $_POST[manter_menu] != 'Sim' ) {
		// VERIFICA SE PODE ESCONDER O MENU
		
		javascript("

			// var div = parent.document.getElementsByClassName('sortby');
			// for( var i=0; i<div.length; i++ ) {
			// 	div[i].style.display = 'none';
			// }

			// ESCONDE AS ABAS DE TAREFAS
			// window.parent.document.getElementById('barra_janelas').style.display = 'none';

		");
	}
		

	javascript("



		function descartar_pedidos() {


			var r = confirm('Deseja excluir o pedido?');
			if (r == true) {
				window.document.cancelar_ordem.submit();
			}else{
				foco('buscar_codigo_barras');
			}
		}

		function ultima_venda() {


			var r = confirm('Deseja imprimir a NFCe da última venda?');
			if (r == true) {
				window.document.form_ultima_venda.submit();
			}else{
				foco('buscar_codigo_barras');
			}
		}


	

	");
	

	

	echo " <iframe name=frame_produto id=frame_produto style='display:none' width=200px src=''></iframe>";

	// echo "<script src='https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js'></script>";
	echo "<script src='../jquery.min.js'></script>";
	echo "<style>li.selected {background:#338FFF;font-size:20px;font-weight: bold;color:white;}</style>";
	echo "<style>ul {font-size:30px;list-style-type: none; padding: 2px;}</style>";

	javascript("

		window.document.getElementById('campo_total').value = window.document.getElementById('valor_total_pagar').value;

		function excluir_comanda(id,acao) {
			
			if( confirm('Deseja realmente excluir o item?') ) {
				window.document.form_excluir_comanda.acao.value=acao;
				window.document.form_excluir_comanda.id.value=id;
				window.document.form_excluir_comanda.submit();
			}
		
		}


		var jq = $.noConflict();

		function carrega_li(){
			window.li = jq('li');
			window.liSelected;

			window.liSelected = window.li.eq(0).addClass('selected');
		}

		jq(window).keydown(function(e){

			if (e.which === 27  && document.activeElement.id == 'buscar_codigo_barras' ) {
				  window.document.getElementById('codigo_barras').value='';
				  window.document.getElementById('buscar_codigo_barras').value='';
				  window.document.getElementById('id_produto').value='';
				  window.document.getElementById('lista_produto').style.display='none';
			}
			if (e.which === 27  && document.activeElement.id == 'campo_cliente' ) {
				window.document.getElementById('id_cliente').value='';
				window.document.getElementById('lista_cliente').style.display='none';
			}

			if (e.which === 27  && document.activeElement.id == 'campo_vendedor' ) {
				window.document.getElementById('id_vendedor').value='';
				window.document.getElementById('lista_vendedor').style.display='none';
			}

			if(document.activeElement.id == 'buscar_codigo_barras'){
				if(e.which === 40){

					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.next();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.eq(0).addClass('selected');
						}
					}else{
						window.liSelected = window.li.eq(0).addClass('selected');
					}

					window.document.getElementById('id_produto').value=window.liSelected.data('value');
				}else if(e.which === 38){
					
					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.prev();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.last().addClass('selected');
						}
					}else{
						window.liSelected = window.li.last().addClass('selected');
					}
					window.document.getElementById('id_produto').value=window.liSelected.data('value');

				}
			}


			if(document.activeElement.id == 'campo_cliente'){
				if(e.which === 40){

					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.next();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.eq(0).addClass('selected');
						}
					}else{
						window.liSelected = window.li.eq(0).addClass('selected');
					}

					window.document.getElementById('id_cliente').value=window.liSelected.data('value');
				}else if(e.which === 38){
					
					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.prev();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.last().addClass('selected');
						}
					}else{
						window.liSelected = window.li.last().addClass('selected');
					}
					window.document.getElementById('id_cliente').value=window.liSelected.data('value');

				}
			}


			if(document.activeElement.id == 'campo_vendedor'){
				if(e.which === 40){

					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.next();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.eq(0).addClass('selected');
						}
					}else{
						window.liSelected = window.li.eq(0).addClass('selected');
					}

					window.document.getElementById('id_vendedor').value=window.liSelected.data('value');
				}else if(e.which === 38){
					
					if(window.liSelected){
						window.liSelected.removeClass('selected');
						next = window.liSelected.prev();
						if(next.length > 0){
							window.liSelected = next.addClass('selected');
						}else{
							window.liSelected = window.li.last().addClass('selected');
						}
					}else{
						window.liSelected = window.li.last().addClass('selected');
					}
					window.document.getElementById('id_vendedor').value=window.liSelected.data('value');

				}
			}

		});


		function seleciona_produto(cod,id){
			window.document.getElementById('codigo_barras').value=cod;
			window.document.getElementById('id_produto').value=id;
			window.document.cadastro.submit();
		}

		function seleciona_cliente(id){
			window.document.getElementById('id_cliente').value=id;
			window.document.cadastro.submit();
		}

		function seleciona_vendedor(id){
			window.document.getElementById('id_vendedor').value=id;
			window.document.cadastro.submit();
		}

		jq('#buscar_codigo_barras').on('input', function() {
			var id_produto = window.document.cadastro.buscar_codigo_barras.value;
			window.document.getElementById('frame_produto').src = '$_SERVER[PHP_SELF]?".cactux_cookie::url_sistema()."&acao=nome_produto&id_prod='+id_produto;
		});

		jq('#campo_cliente').on('input', function() {
			var nome_cliente = window.document.cadastro.campo_cliente.value;
			window.document.getElementById('frame_produto').src = '$_SERVER[PHP_SELF]?".cactux_cookie::url_sistema()."&acao=nome_cliente&nome_cliente='+nome_cliente;
			
		});

		jq('#campo_vendedor').on('input', function() {
			var nome_vendedor = window.document.cadastro.campo_vendedor.value;
			window.document.getElementById('frame_produto').src = '$_SERVER[PHP_SELF]?".cactux_cookie::url_sistema()."&acao=nome_vendedor&nome_vendedor='+nome_vendedor;
			
		});
	");

	?>
	<script src="../shortcut.js" type="text/javascript"></script>

	<script type="text/javascript">

		function foco(id_campo){
			// var campoEmFoco = window.document.getElementById('campoEmFoco').value;
			window.document.getElementById(id_campo).focus();
			window.document.getElementById(id_campo).select();
			
			// setTimeout(function(){ 
			// 	window.document.getElementById(id_campo).focus();
			// 	window.document.getElementById(id_campo).select();

			// }, 500);
		}

	</script>

	<?


	rodape();

	exit;
}





function testa_fechamento(){


	if ( intval($_POST[ordem]) == 0 ) {

		set_status('ERRO: Nenhum pedido em aberto!');
		layout_pedido();
		exit;
	}

	
	// VERIFICA SE FOI ADICIONADO ALGUM ITEM NO PEDIDO
	$sql = selecionar("orpr","orpr_nb_ordem","$_POST[ordem]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ORDER BY orpr_nb_id  DESC ");

	if( num_linhas($sql) == 0 ){
		set_status('Pedido sem itens! Por favor insira produtos.');
		layout_pedido();
		exit;

	}


	finaliza_devolucao();
	exit;
	
}




function finaliza_devolucao(){


	// CONFIRMA SE O CÓDIGO DA DEVOLUÇÃO FOI INFORMADO
	if ( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Nenhuma devolução informada!');
		index();
		exit;
	}


	// OBTEM O VALOR TOTAL DA VENDA SEM O DESCONTO
	$valor_devolucao=0;
	$sql2 = selecionar('SUM(orpr_tx_qtde*orpr_tx_valor) as total,orpr_nb_id|orpr','orpr_nb_ordem',"$_POST[ordem]"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') GROUP BY orpr_nb_id ",0);
	while( $a2 = carrega_array($sql2) ) {
		$valor_devolucao += $a2[total];

		atualizar('orpr',array(orpr_tx_status),array('ativo'),$a2[orpr_nb_id]);
	}


	$campos = array(orde_tx_valor,orde_tx_valorTotal);
	$valores = array($valor_devolucao,$valor_devolucao);
	atualizar('ordem',$campos,$valores,$_POST[ordem]);


	// REALIZA A BAIXA DO ESTOQUE DOS PRODUTOS
	// baixa_estoque($_POST[ordem]);

	// EM layout_pedido_cliente() ESSA VARIÁVEL É APAGADA
	$id_ordem = $_POST[ordem];



	if ( intval($_POST[cliente]) > 0 )
		layout_pedido_cliente();
	else
		index();



	// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
	// ESSE CÓDIGO TAMBÉM TEM QUE FICAR ABAIXO DAS FUNÇÕES DE CHAMADA DE LAYOUT, POIS NO CRHOME, ELE FICA COM UMA TELA EM BRANCO SE FOR ANTES
	echo "<body>";
	cactux::acao_botao('form_imprime_comprovante','imprimir','id',"$id_ordem",'../relatorios/pedido.php','',' target=_blank');
	echo "<script>	window.document.onload=window.document.form_imprime_comprovante.submit();</script>";


	exit;	
}



function modifica_pedido(){
	
	global $a_mod;
	global $a_mod_prod;
	
	$a_mod = carregar('orpr',$_POST[id]);
	$a_mod_prod = carregar('produto',$a_mod[orpr_nb_produto]);

	layout_pedido();		
	exit;
	
	
}



function volta_estoque(){
	
	//DA BAIXA NO ESTOQUE
	
	$a = carregar('orpr',$_POST[id]);
	
	$prod = carregar('produto',$a[orpr_nb_produto]);
	
	if( $a[orpr_tx_forma] == 'Unidade' ) {
		
		$qtde = ($prod[NOME_QTDE]+$a[orpr_tx_qtde]);
		$qtdecx = $prod[NOME_QTDE]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]); 
		
	}else{
		
		$qtde = $prod[NOME_QTDE]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);
		$qtdecx = $prod[prod_tx_embalagem]+$a[orpr_tx_qtde];
		
	}
	
	$campos = array(NOME_QTDE);
	$valores = array($qtde);
	atualizar('produto',$campos,$valores,$prod[prod_nb_id]);
	
}



function exclui_orpr(){	
	
	remover('orpr',$_POST[id]);

	layout_pedido();
	exit;	
}



function excluir_itemdevolucao() {

	$id_item = $_POST[id];
		
	remover('orpr',$id_item);


	registra_acao('REMOVEU','orpr',$id_item);

	unset($_POST[msg_status]);
	
	// javascript("window.parent.document.getElementById('frame_comanda').src='pdv.php?acao=exibe_comanda&comandas=$_POST[busca_comandas]'");
	layout_pedido();
	exit;
}






function faz_desconto_item() {
	
	$_POST[tipo_desconto] = 'Real';


	if ( trim($_POST[busca_comandas]) == '' ) {

		set_status('Entre com um pedido!');
		
		index();
		exit;
	}





	// OBTEM OS IDS DAS COMANDAS
	$comandas = $_POST[busca_comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);
	$t_coma = count($a_coma);

	
	if( trim($comandas)=='' ) {

		set_status('Pedido não encontrado!');
		
		index();
		exit;
	}

	// PERCORRE AS COMANDAS CAPTURANDO OS IDS DAS VENDAS
	for ($i=0; $i!=$t_coma; $i++) {
			
		$sql = selecionar('orde_nb_id,orde_tx_comanda,orde_tx_dataCadastro|ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[$i],!inativo",' LIMIT 1 ');

		$a = carrega_array($sql);
		$a_id[] = $a[orde_nb_id];
	}

	$id_string = @implode(",",$a_id);



	$item = 0;


	$sql = selecionar('prod_tx_codbarras,prod_tx_descontoMaximo,orpr_nb_id,prod_tx_nome,orpr_tx_valor,orpr_tx_qtde as qtde,orpr_tx_qtde*orpr_tx_valor as valor|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_string) ORDER BY orpr_nb_id ASC");
	while( $a = carrega_array($sql) ) {
		++$item;

		// SE FOR O ITEM A RECEBER O DESCONTO
		if ( intval($_POST[item]) == $item ) {

			// VERIFICA SE O DENCONTO É EM PORCENTAGEM OU EM REAIS
			if ( $_POST[tipo_desconto] == 'Porcentagem' ) {
				$porcentagem = valor($_POST[valor_desconto]);
				if($porcentagem>$a[prod_tx_descontoMaximo]){
				
					$porcentagem = $a[prod_tx_descontoMaximo];
				}

				$valor_desconto = $a[valor]*($porcentagem/100);

			} else {
				// $porcentagem = @((($a[orpr_tx_valor]-valor($_POST[valor_desconto],1))/$a[orpr_tx_valor])-1)*-1;
				$porcentagem = @(valor($_POST[valor_desconto],1)*100)/$a[orpr_tx_valor];
				$valor_desconto = valor($_POST[valor_desconto],1);
			}
			
			atualizar('orpr',array(orpr_tx_porcentagem,orpr_tx_desconto,orpr_tx_descontoReal),array($porcentagem,$valor_desconto,$valor_desconto),$a[orpr_nb_id]);

			break;
		}
	}


	unset($_POST[msg_status]);


	layout_pedido();
	exit;
}






function alerta_faz_desconto_item() {


	// OBTEM OS IDS DAS COMANDAS
	$comandas = $_POST[busca_comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);
	$t_coma = count($a_coma);


	if( trim($comandas)=='' ) {

		set_status('Pedido não encontrado!');
		
		index();
		exit;
	}

	// PERCORRE AS COMANDAS CAPTURANDO OS IDS DAS VENDAS
	for ($i=0; $i!=$t_coma; $i++) {
			
		$sql = selecionar('orde_nb_id,orde_tx_comanda,orde_tx_dataCadastro|ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[$i],!inativo",' LIMIT 1 ');

		$a = carrega_array($sql);
		$a_id[] = $a[orde_nb_id];
	}

	$id_string = @implode(",",$a_id);


	$item = 0;

	echo"<form name=form_faz_desconto_item method=post>".cactux_cookie::hidden_sistema();
	echo"<input type=hidden name=acao value=faz_desconto_item />";
	echo"<input type=hidden name=busca_comandas value='$_POST[busca_comandas]' />";
	echo"<input type=hidden name=item value='$_POST[item]' />";
	echo"<input type=hidden name=tipo_desconto value='$_POST[tipo_desconto]' />";
	echo"<input type=hidden name=valor_desconto value='$_POST[valor_desconto]' />";
	echo"<input type=hidden name=sub_total value='$_POST[sub_total]' />";
	echo"</form>";

	echo"<form name=form_index method=post>".cactux_cookie::hidden_sistema();
	echo"<input type=hidden name=acao value=layout_pedido />";
	echo"<input type=hidden name=busca_comandas value='$_POST[busca_comandas]' />";
	echo"</form>";


	echo "<script>
			document.form_faz_desconto_item.submit();
		</script>";
			


	unset($_POST[msg_status]);


	exit;
}










function exibe_comanda_novo() {

	$comandas = $_GET[comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);
	$t_coma = count($a_coma);


	if ( trim($comandas) != '' ) {

		// PEGA O CLIENTE DA PRIMEIRA COMANDA
		$sql_enti = selecionar('enti_tx_nome,enti_tx_cnpj|ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[0],!inativo",' LIMIT 1 ');
		$a_enti = carrega_array($sql_enti);

		// SE O CLIENTE NÃO POSSUIR NOME, EXIBE O CPF
		if ( trim($a_enti[enti_tx_nome]) != '' )
			$nome_cliente = substr(strtoupper($a_enti[enti_tx_nome]), 0, 20);
		else
			$nome_cliente = $a_enti[enti_tx_cnpj];

	} else {

		$nome_cliente = 'CONSUMIDOR FINAL';
	}


	if ( trim($comandas) != '' ) {
		for ($i=0; $i!=$t_coma; $i++) {

			$ids_ordem[]="'$a_coma[$i]'";
			
			$sql = selecionar('orde_nb_id,orde_tx_comanda,orde_tx_dataCadastro|ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[$i],!inativo",' LIMIT 1 ');

			$a = carrega_array($sql);
			$a_id[] = $a[orde_nb_id];
			

			// echo "<table style='' border=0 width=100% class=rel>";
			// echo "<tr><td align=left>DEVOLUÇÃO&nbsp;COMPRA&nbsp;Nº: <b>$a[orde_nb_id]</b></td><td align=right>CLIENTE: <b>$nome_cliente</b></td></tr>";
			// echo "</table>";
		}

	} else {

		// echo "<table style='' border=0 width=100% class=rel>";
		// echo "<tr><td align=left>DEVOLUÇÃO&nbsp;COMPRA&nbsp;Nº: <b></b></td><td align=right>CLIENTE: <b>$nome_cliente</b></td></tr>";
		// echo "</table>";
	}


	$id_string = @implode(",",$a_id);
	$id_string = @implode(",",$ids_ordem);
	
	// $a = carregar('orde_tx_comanda,orde_tx_dataCadastro|ordem','','orde_tx_comanda',"$_GET[id]");



	$cabeca[] = array('ITEM','CÓDIGO','CÓDIGO EAN','DESCRIÇÃO','QTDE','VALOR UNIT','DESCONTO','V. TOTAL','');
	$cabeca[] = 'c,c,c,e,d,d,d,d';
	$cabeca[] = '5%,5%,10%,30%,6%,12%,10%,10%,2%';
	$cabeca[] = '100%';



	// SE NÃO TIVER COMANDAS, CRIA UM GRID VAZIO
	if( count($ids_ordem)==0) {

		for ( $x=0; $x<12; $x++ )
			$valores[] = array('&nbsp;','','','','','','','','');


		grid::gerar($cabeca,$valores);
		return;
	}

	$cabeca[0] = array('','','','','','','','','');
	

	$sql = selecionar('orpr_tx_porcentagem,prod_tx_codbarras,orpr_nb_id,prod_tx_nome,orpr_tx_valor,orpr_tx_desconto,orpr_tx_qtde as qtde,orpr_tx_qtde*orpr_tx_valor as valor,prod_nb_id,prod_tx_qtde|orpr,produto,ordem','orpr_tx_status',"ativo"," AND orde_nb_id IN ($id_string) ORDER BY orpr_nb_id ASC");
	while( $a = carrega_array($sql) ) {
		// NAO EXIBE SE A QUANTIDADE FOR 0 ( NO CASO DE TER LANCADO UM PRODUTO E DEPOIS CANCELADO)
		if( $a[qtde] == 0 )	
			continue;

		if($a[prod_tx_qtde]<=0){
			$cor='<span style=color:#b30000>';
			$cor2='</span>';
		}else{
			$cor='<span style=color:black>';
			$cor2='</span>';
		}

		// CHECK UTILIZADO PARA O PROCESSO DE TRANSFERÊNCIA
		// $check = "<input type=checkbox value=$a[orpr_nb_id] id=check_".$a[orpr_nb_id]." onClick=seleciona_check('$a[orpr_nb_id]')>";
			
		//$excluir = ".icone_excluir($a[orpr_nb_id],'excluir_itemdevolucao','busca_comandas','$_GET[comandas]')";
		$excluir = "<a href=javascript:excluir_comanda($a[orpr_nb_id],'excluir_itemdevolucao')><img src='../cactus/imagens/excluir.png' border=0></a>";
		
		if ( $a[orpr_tx_porcentagem] > 0 ) {
			$desconto = 'R$ '.mostra_valor($a[orpr_tx_desconto],1) . ' ('.mostra_valor($a[orpr_tx_porcentagem]).'%)';
		}
		// else {
		// 	$desconto = 'R$ '.mostra_valor($a[orpr_tx_descontoReal]);
		// }

		$total = $a[qtde]*$a[orpr_tx_valor]-$a[orpr_tx_desconto];

		$valores[] = array(++$j,$cor.$a[prod_nb_id].$cor2,$cor.$a[prod_tx_codbarras].$cor2,$cor.$a[prod_tx_nome].$cor2,$cor.mostra_valor($a[qtde]).$cor2,$cor."R$ ".mostra_valor($a[orpr_tx_valor]).$cor2,$cor.$desconto.$cor2,$cor."R$ ".mostra_valor($total).$cor2,$excluir);
		$total_cobrado += $total;
		$total_pagar += $a[valor];
		$linhas++;

		unset($desconto);
	}


	// LISTAGEM DA TAXA DE SERVIÇO
	$sql = selecionar('orpr_nb_id,orpr_tx_valor,orde_tx_comanda,orpr_nb_ordem|orpr,ordem','orpr_tx_status',"taxa"," AND orde_nb_id IN ($id_string) GROUP BY orpr_nb_id ORDER BY orpr_nb_id DESC LIMIT 1");
	while( $a = carrega_array($sql) ) {

		// OBTEM O VALOR A SER PAGO PELA COMISSÃO
		$v_comissao = $total_cobrado*$a[orpr_tx_valor]/100;
			
//		$excluir = ".icone_excluir($a[orpr_nb_id],'excluir_taxa_servico','busca_comandas','$_GET[comandas]')";		
		$excluir = "<a href=javascript:excluir_comanda($a[orpr_nb_id],'excluir_taxa_servico')><img src='../cactus/imagens/excluir.png' border=0></a>";

		$valores[] = array(++$j,'','',"TAXA DE SERVIÇO ".intval($a[orpr_tx_valor])."%",mostra_valor(1),mostra_valor($v_comissao),'',mostra_valor($v_comissao),$excluir);

		// ADICIONA O VALOR DA COMISSÃO NA TOTAL A SER PAGO
		$total_cobrado += $v_comissao;
		$total_pagar += $v_comissao;
		$linhas++;
	}

	// OBTEM OS ITENS DE PAGAMENTO
	$sql = selecionar('prod_nb_id,orpr_tx_valor,SUM(orpr_tx_qtde) as qtde,SUM(orpr_tx_qtde*orpr_tx_valor) as valor|orpr,produto,ordem','orpr_tx_status',"pagamento"," AND orde_nb_id IN ($id_string) GROUP BY prod_nb_id ORDER BY orpr_nb_id DESC");
	while( $a = carrega_array($sql) ) {

		$a_forma = carregar('forma',$a[prod_nb_id]);
		
		//echo "$a[prod_tx_nome]<br>QTDE: $a[orpr_tx_qtde] VALOR: $a[orpr_tx_valor]<br>";
		$valores[] = array('','','','<font color=green>REC PARCIAL '.trim($a_forma[form_tx_nome]),'&nbsp;','&nbsp;','&nbsp;','<font color=green>'.mostra_valor($a[valor]),'');
		$total_pagar += $a[valor];
		$linhas++;
	}



	// PREENCHE O GRID COM LINHAS EM BRANCO
	if ( $linhas < 9 ) {
		$final = 9 - $linhas;
		
		for ($i=0; $i<$final; $i++) {
			$valores[] = array('&nbsp;','','','','','','','','');
		}
	}


	

	echo "<div id=div_over style='overflow-y: auto;width:100%; height:205px;'>";

	echo "
		<table style='position:absolute;margin-top:-0.1%; width:95%' class=grid  border=0  >
			<thead>
				<TR class=barra   > 
					<TH  align=center width=5%%  > ITEM </TH> 
					<TH  align=center width=5%  > CÓDIGO </TH> 
					<TH  align=center width=10%  > CÓDIGO EAN </TH> 
					<TH  align=left  width=30% > DESCRIÇÃO </TH> 
					<TH  align=right width=6%  > QTDE </TH> 
					<TH  align=right width=12%  > VALOR UNIT </TH> 
					<TH  align=right width=10%  > DESCONTO </TH> 
					<TH  align=right width=10%  > V. TOTAL </TH> 
					<TH  align=center width=2% >  </TH> 
				</TR>
			</thead>
		</table> 
	";

	echo"<br>";
	grid::gerar($cabeca,$valores);


	echo "</div>";

	$a_user = carregar('user_tx_login|ordem,user',$a_coma[0]);

	// echo "<p style='margin-right:20px;text-align:left;font-size:13px;font-family:Verdana;'>VENDEDOR: ".$a_user[0]."<span style='float:right;'>VALOR TOTAL: R$ ".mostra_valor($total_cobrado)."</span></p>";
	echo "<p style='margin-right:20px;text-align:right;font-size:13px;font-family:Verdana;'>VALOR TOTAL: R$ ".mostra_valor($total_cobrado)."</p>";

	javascript("
		var div_over = window.document.getElementById('div_over');
		div_over.scrollTop = div_over.scrollHeight;


		var x = document.getElementsByClassName('grid');
		
		x[0].style.width = x[1].offsetWidth+'px';
		
		
	");
	// 	var tableOffset = $('.grid').offset().top;
	// 	var $header = $('.grid > thead').clone();
	// 	var $fixedHeader = $('#header-fixed').append($header);

	// 	$(window).bind('scroll', function() {
	// 	    var offset = $(this).scrollTop();

	// 	    if (offset >= tableOffset && $fixedHeader.is(':hidden')) {
	// 	        $fixedHeader.show();
	// 	    }
	// 	    else if (offset < tableOffset) {
	// 	        $fixedHeader.hide();
	// 	    }
	// 	});

	// ");




	// ATUALIZA O COMBO NET DO CLIENTE COM AS COMANDAS ADICIONADAS NO CAIXA
	javascript("window.document.getElementById('frame_combonet_cliente').src='pdv/busca_cliente_net.php?comandas=$_GET[comandas]&".cactux_cookie::url_sistema()."'");



	// SERVE PARA CONTORNAR UM BUG COM UMA SOMA DE VALORES NEGATIVOS
	$total_pagar = valor(mostra_valor($total_pagar));

	
	javascript("
	
		// window.parent.document.getElementById('div_total').innerHTML='$total_cobrado';
		// window.parent.document.getElementById('div_total_pagar').innerHTML='$total_pagar';

		// window.parent.document.getElementById('campo_sub_total').value='$total_cobrado';
		// window.document.getElementById('campo_total').value='".mostra_valor($total_cobrado,1)."';
		window.document.getElementById('valor_total_pagar').value='".mostra_valor($total_cobrado,1)."';
		
	");
	
	return;
}







function nome_produto(){
	global $CONFIGURA;
	// print_r($_GET);

	$comandas = $_GET[id_ordem2];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);
	$a_orde = carregar('enti_nb_planosaude|ordem,entidade',$a_coma[0]);
	
	$a_cod_barras = @explode("*",$_GET[id_prod]);
	if(count($a_cod_barras) > 1 && is_numeric($a_cod_barras[0])){
		$_GET[id_prod] = $a_cod_barras[1];
		javascript("window.parent.document.getElementById('quantidade').value='$a_cod_barras[0]';");
	}

	if($CONFIGURA[MODO_PDV]=='FLANDPEÇAS')
		$extra_modo .= " OR prod_tx_marca LIKE '%$_GET[id_prod]%'";

	// PRODUTOS ESPECIAIS
	$extra = " AND prod_nb_id NOT IN (50,51) ";

	$_GET[id_prod]=str_replace(' ','%',$_GET[id_prod]);

	$sql_prod = selecionar('produto','prod_tx_status','!inativo'," AND (prod_tx_tipo ='Comercialização' OR prod_tx_tipo IS NULL ) $extra AND (prod_tx_codbarras = '$_GET[id_prod]' OR prod_tx_codigo = '$_GET[id_prod]' OR prod_nb_id = '$_GET[id_prod]' OR prod_tx_nome LIKE '%$_GET[id_prod]%' $extra_modo) ORDER BY prod_tx_nome LIMIT 15",0,1);
	if(num_linhas($sql_prod)>0 && $_GET[id_prod]!=''){
		javascript("window.parent.document.getElementById('ul_produto').innerHTML='';");
		while($a_prod = carrega_array($sql_prod)){

/*
.combo_novo_tudo { }
.combo_novo_esquerda {  }
.combo_novo_direita { float: right; text-align:right; width: 20%; }
*/
			if ( trim($a_prod[prod_tx_marca])=='' ) {
				// EVITA QUE OS CAMPOS FIQUEM DESORDENADOS
				$a_prod[prod_tx_marca] = '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;';
			}


			if($a_prod[prod_tx_qtde]<=0){
				$cor='#b30000';
			}else{
				$cor='black';
			}

			if($a_orde[0] > 0){
				$a_preco = carregar('prec_tx_valorUnit|preco','','prec_nb_produto,prec_nb_planosaude',"$a_prod[prod_nb_id],$a_orde[0]");
				if($a_preco[prec_tx_valorUnit]>0)
					$a_prod[prod_tx_valorVenda] = $a_preco[prec_tx_valorUnit];
			}
			
			
			if($CONFIGURA[MODO_PDV]=='FLANDPEÇAS'){
				$div  = "<div style=\'display: table; width:100%; font-size:13px;\'>";
					$div .= "<div style=\'float: left; color:$cor; text-align:left; width: 5%;\'>$a_prod[prod_nb_id]</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:left; width: 60%;padding-right:2px;\'>$a_prod[prod_tx_nome]</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:left; width: 15%;\'>$a_prod[prod_tx_marca]</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:right; width: 8%;\'>".mostra_valor($a_prod[prod_tx_qtde],1)."</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:right; width: 10%;\'>R$&nbsp;".mostra_valor($a_prod[prod_tx_valorVenda],1)."</div>";
					// $div .= "<span style=\'float:right; background:orange;\'>ESTOQUE: ".mostra_valor($a_prod[prod_tx_valorVenda])." | VALOR: ".mostra_valor($a_prod[prod_tx_valorVenda])."</span>";
				$div .= "</div>";
			}else{

				$div  = "<div style=\'display: table; width:100%; font-size:13px;\'>";
					$div .= "<div style=\'float: left; color:$cor; text-align:left; width: 8%;\'>$a_prod[prod_nb_id]</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:left; width: 65%;padding-right:2px;\'>$a_prod[prod_tx_nome]</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:right; width: 12%;\'>".mostra_valor($a_prod[prod_tx_qtde],1)."</div>";
					$div .= "<div style=\'float: left; color:$cor; text-align:right; width: 12%;\'>R$&nbsp;".mostra_valor($a_prod[prod_tx_valorVenda],1)."</div>";
					// $div .= "<span style=\'float:right; background:orange;\'>ESTOQUE: ".mostra_valor($a_prod[prod_tx_valorVenda])." | VALOR: ".mostra_valor($a_prod[prod_tx_valorVenda])."</span>";
				$div .= "</div>";
			}
			javascript("window.parent.document.getElementById('ul_produto').innerHTML=window.parent.document.getElementById('ul_produto').innerHTML+'<li onclick=\"seleciona_produto(\'$a_prod[prod_tx_codbarras]\',$a_prod[prod_nb_id])\" data-value=".$a_prod[prod_nb_id].">".$div."</li>';");
//			javascript("window.parent.document.getElementById('ul_produto').innerHTML=window.parent.document.getElementById('ul_produto').innerHTML+'<li onclick=\"seleciona_produto(\'$a_prod[prod_tx_codbarras]\',$a_prod[prod_nb_id])\" data-value=".$a_prod[prod_nb_id].">"."<span style=\'float:left; \'>R$ ".mostra_valor($a_prod[prod_tx_valorVenda])."</span>".$a_prod[prod_tx_nome]."<span style=\'float:right;\'>R$ ".mostra_valor($a_prod[prod_tx_valorVenda])."</span>"."</li>';");
			javascript("window.parent.document.getElementById('lista_produto').style.display='block';");

			if($primeiro == ''){
				javascript("window.parent.document.getElementById('codigo_barras').value='$a_prod[prod_tx_codbarras]';");
				javascript("window.parent.document.getElementById('id_produto').value='$a_prod[prod_nb_id]';");
				$primeiro=2;
			}
		}
			javascript("window.parent.carrega_li();");
			
	}else{
		javascript("window.parent.document.getElementById('ul_produto').innerHTML='';");
		javascript("window.parent.document.getElementById('lista_produto').style.display='none';");
		javascript("window.parent.document.getElementById('codigo_barras').value='';");
		javascript("window.parent.document.getElementById('id_produto').value='';");
		javascript("window.parent.document.getElementById('nome_codigo_barras').value='';");


	}	
}






function nome_cliente(){
	global $CONFIGURA;
echo "NOME CLIENTE<hr>";
	$sql_cliente = selecionar('entidade','enti_tx_status','!inativo'," AND enti_tx_nome LIKE '%$_GET[nome_cliente]%' AND enti_tx_tipo = 'cliente' ORDER BY enti_tx_nome LIMIT 15",0,1);
echo "<hr>";	

	if(num_linhas($sql_cliente)>0){
		javascript("window.parent.document.getElementById('ul_cliente').innerHTML='';");
		while($a_clie = carrega_array($sql_cliente)){

			$div = "<div style=\'display: table; width:100%; font-size:13px;\'>";
				$div .= "<div style=\'float: left; text-align:left; width: 60%;\'>$a_clie[enti_tx_nome]</div>";
				$div .= "<div style=\'float: left; text-align:left; width: 15%;\'>$a_clie[enti_tx_cnpj]</div>";
			$div .= "</div>";
			
			javascript("window.parent.document.getElementById('ul_cliente').innerHTML=window.parent.document.getElementById('ul_cliente').innerHTML+'<li onclick=\"seleciona_cliente($a_clie[enti_nb_id])\" data-value=".$a_clie[enti_nb_id].">".$div."</li>';");
			javascript("window.parent.document.getElementById('lista_cliente').style.display='block';");
			
			
			
			if($primeiro == ''){
				javascript("window.parent.document.getElementById('id_cliente').value='$a_clie[enti_nb_id]';");
				$primeiro=2;
			}
		}
			javascript("window.parent.carrega_li();");
	}else{

		javascript("window.parent.document.getElementById('ul_cliente').innerHTML='';");
		javascript("window.parent.document.getElementById('lista_cliente').style.display='none';");
		javascript("window.parent.document.getElementById('id_cliente').value='';");
	}
}





function nome_vendedor(){
	global $CONFIGURA;

	$sql_vendedor = selecionar('entidade','enti_tx_status','!inativo'," AND enti_tx_nome LIKE '%$_GET[nome_vendedor]%' AND enti_tx_tipo = 'funcionario' ORDER BY enti_tx_nome LIMIT 15",0,1);
	
	if(num_linhas($sql_vendedor)>0){
		javascript("window.parent.document.getElementById('ul_vendedor').innerHTML='';");
		while($a_vend = carrega_array($sql_vendedor)){

			$div = "<div style=\'display: table; width:100%; font-size:13px;\'>";
				$div .= "<div style=\'float: left; text-align:left; width: 60%;\'>$a_vend[enti_tx_nome]</div>";
				$div .= "<div style=\'float: left; text-align:left; width: 15%;\'>$a_vend[enti_tx_cnpj]</div>";
			$div .= "</div>";
			
			javascript("window.parent.document.getElementById('ul_vendedor').innerHTML=window.parent.document.getElementById('ul_vendedor').innerHTML+'<li onclick=\"seleciona_vendedor($a_vend[enti_nb_id])\" data-value=".$a_vend[enti_nb_id].">".$div."</li>';");
			javascript("window.parent.document.getElementById('lista_vendedor').style.display='block';");
			
			
			
			
			if($primeiro == ''){
				javascript("window.parent.document.getElementById('id_vendedor').value='$a_vend[enti_nb_id]';");
				$primeiro=2;
			}
		}
			javascript("window.parent.carrega_li();");
	}else{
		javascript("window.parent.document.getElementById('ul_vendedor').innerHTML='';");
		javascript("window.parent.document.getElementById('lista_vendedor').style.display='none';");
		javascript("window.parent.document.getElementById('id_vendedor').value='';");
	}
}






function encerrar_devolucao(){

	// print_r($_POST);exit;
	$_POST[ordem] = substr($_POST[busca_comandas],1);


	if ( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Nenhuma devolução em aberto!');
		layout_fechamento();
		exit;
	}


	
	$a = carregar('ordem',$_POST[ordem]);

	// SE NAO ENTROU COM O CLIENTE ENTAO JOGA O "CLIENTE DE BALCAO"	
	$_POST[cliente] = $a[orde_nb_entidade];


	
	// ACHA O ID DA ENTIDADE DO CLIENTE
	$clie = carregar('enti_nb_id|entidade',$_POST[cliente]);
	
	atualizar('orpr','orpr_tx_status','ativo','','orpr_nb_ordem,orpr_tx_status',"$_POST[ordem],esperando");
	//SOMATORIO DO VALOR DO PEDIDO, COM O DESCONTO
	$valor = valor_venda($_POST[ordem]);



	// OBTEM O VALOR TOTAL DA VENDA SEM O DESCONTO
	$total_comanda=0;
	$sql2 = selecionar('SUM(orpr_tx_qtde*orpr_tx_valor) as total|orpr','orpr_tx_status,orpr_nb_ordem',"ativo,$_POST[ordem]");
	while( $a2 = carrega_array($sql2) ) {
		$total_comanda += $a2[total];
	}




	$campos = array(orde_tx_valor,orde_tx_valorTotal,orde_tx_status);
	$valores = array($total_comanda,$valor,'devolucao finalizada');
	atualizar('ordem',$campos,$valores,$_POST[ordem]);


	registra_acao('ENCERROU','ordem',$_POST[ordem]);




	$sql2 = selecionar('SUM(orpr_tx_qtde*orpr_tx_valor) as total,orpr_nb_produto,orpr_tx_qtde,orpr_tx_descontarEstoque|orpr','orpr_tx_status,orpr_nb_ordem',"ativo,$_POST[ordem]",' group by orpr_nb_id');
	while( $a2 = carrega_array($sql2) ) {
		$total_comanda += $a2[total];

		// VERIFICA SE DEVE REALIZAR A BAIXA DO ESTOQUE
		if($a2[orpr_tx_descontarEstoque]!='Não') {

			// REALIZA A BAIXA DO ESTOQUE DO PRODUTO
			if ( $a2[orpr_nb_produto]>0 ) {
				$a_prod = carregar('produto',$a2[orpr_nb_produto]);

				atualizar('produto',array('prod_tx_qtde'),array($a_prod[prod_tx_qtde]-$a2[orpr_tx_qtde]),$a_prod[prod_nb_id]);
			}
		}
	}




	// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
	// ESSE CÓDIGO TAMBÉM TEM QUE FICAR ABAIXO DAS FUNÇÕES DE CHAMADA DE LAYOUT, POIS NO CRHOME, ELE FICA COM UMA TELA EM BRANCO SE FOR ANTES
	// echo "<body>";
	// cactux::acao_botao('form_imprime_comprovante','imprimir','id',"$_POST[ordem]",'../relatorios/pedido.php?'.cactux_cookie::url_sistema(),'',' target=_blank');
	// echo "<script>	window.document.onload=window.document.form_imprime_comprovante.submit();</script>";

	$id_ordem_imprimir = $_POST[ordem];



	set_status('Devolução fechada com sucesso!');

	// VERIFICA SE O VENDEDOR VAI GERAR BOLETO
	if ( $_POST[gera_boleto] == 'sim' ) {

		layout_boleto(); // É A TELA ONDE VAI SER GERADO OS BOLETOS
		// exit;

	} else if ( $_POST[busca_orcamento]!='' ) {
		unset($_SESSION[ordem],$_POST[ordem],$_POST[busca_comandas],$_POST[cliente]);
		layout_pedido();
		// exit;

	} else if ( $_SESSION[busca_acao] == 'orcamento' ) {
		unset($_SESSION[ordem],$_POST[ordem],$_POST[busca_comandas],$_POST[cliente]);
		layout_pedido();

	} else {
		unset($_SESSION[ordem],$_POST[ordem],$_POST[busca_comandas]);//EVITA QUE O PROCESSO SEJA ABERTO NOVAMENTE
		layout_pedido_cliente();

	}


	// NO FIREFOX SOH FUNCIONA SE TIVER ESSE <BODY>
	// ESSE CÓDIGO TAMBÉM TEM QUE FICAR ABAIXO DAS FUNÇÕES DE CHAMADA DE LAYOUT, POIS NO CRHOME, ELE FICA COM UMA TELA EM BRANCO SE FOR ANTES
	echo "<body>";
	cactux::acao_botao('form_imprime_comprovante','imprimir','id',"$id_ordem_imprimir",'../relatorios/pedido.php?'.cactux_cookie::url_sistema(),'',' target=_blank');
	echo "<script>	window.document.onload=window.document.form_imprime_comprovante.submit();</script>";

	exit;	
}






function adiciona_item(){
	global $CONFIGURA;
	// O NOVO_COMBO JOGA O ID DO CAMPO PARA CODIGO_BARRAS. ASSIM JOGA O CODIGO MESMO
	if($_POST[nome_codigo_barras]!='')
		$_POST[codigo_barras] = $_POST[nome_codigo_barras];

	if ( trim($_POST[buscar_codigo_barras]) == '' && $_POST[id_produto]=='0' && $_POST[id_cliente] == '' && $_POST[id_vendedor] ) {
		
		set_status('Informe um código de barras!');

		layout_pedido();
		exit;
	}


	// VERIFICA A QUANTIDADE INFORMADA
	if ( valor($_POST[quantidade],1) == 0 )
		$_POST[quantidade] = 1;

	$a_cod_barras = @explode("*",$_POST[buscar_codigo_barras]);
	if(count($a_cod_barras) > 1 && is_numeric($a_cod_barras[0])){
		$_POST[quantidade] = $a_cod_barras[0];
		$_POST[buscar_codigo_barras] = $a_cod_barras[1];
	}

	

	$comandas = $_POST[busca_comandas];

	if ( $comandas{0} == ';' ) // SERVE PARA REMOVER O PRIMEIRO ;
		$comandas = substr($comandas,1);

	$a_coma = explode(";",$comandas);

	
	// VERIFICA SE ENTROU COM ALGUMA COMANDA
	if ( trim($comandas) == '' ) {
		
		// SE NÃO TIVER ADICIONADO UMA COMANDA ABRE UMA NOVA
		$a_coma[0] = abrir_pedido();

		$_POST[busca_comandas] = ';'.$a_coma[0];
	}


	// CARREGA OS DADOS DO CAIXA
	$a_caixa = carregar('caixa,pdv',$_POST[busca_id_caixa],'','','LIMIT 1');

	
	// CASO O ID DO PRODUTO VENHA DO COMBONET
	if($_POST[id_produto]>0)
		$extra = " AND prod_nb_id = '$_POST[id_produto]'";
	// NO CASO DE USAR O LEITOR DE COD BARRAS ( VEM COM ID DO PRODUTO VAZIO, MAS TEM COD DE BARRAS)
	elseif($_POST[buscar_codigo_barras] != '')
		$extra = " AND prod_tx_codbarras = '$_POST[buscar_codigo_barras]'";
	// ELSE PARA QUE EM CASO DO CAMPO VIER VAZIO DÊ ERRO
	else
		$extra = " AND prod_nb_id = '0'";

	$sql_produto = selecionar('produto','prod_tx_status','ativo',"$extra");
	$sql_venda = selecionar('ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[0],!inativo",' LIMIT 1 ');
	$sql_venda2 = selecionar('ordem,entidade','orde_nb_id,orde_tx_status',"$a_coma[0],!inativo",' LIMIT 1 ');

	//BUSCA PELO CÓDIGO DE BARRAS DO PRODUTO
	if (num_linhas($sql_produto) > 0){
		$a_prod = carrega_array($sql_produto);
		$a_enti = carrega_array($sql_venda2);

		if($a_enti[enti_nb_planosaude] > 0){
			$a_preco = carregar('prec_tx_valorUnit|preco','','prec_nb_produto,prec_nb_planosaude',"$a_prod[prod_nb_id],$a_enti[enti_nb_planosaude]");
			if($a_preco[prec_tx_valorUnit]>0)
				$a_prod[prod_tx_valorVenda] = $a_preco[prec_tx_valorUnit];
		}

		if($CONFIGURA[VENDA_SEM_ESTOQUE] != 'SIM'){
			if($a_prod[prod_tx_qtde] <= 0){
				$_POST[erro] = 'Produto sem estoque!';

				layout_pedido();
				exit;
			}
		}

	}elseif($_POST[id_cliente]>0){

		$sql_ordem = selecionar('ordem','orde_nb_id,orde_tx_status',"$a_coma[0],!inativo",' LIMIT 1 ');
		$a_ordem = carrega_array($sql_ordem);
		if($_POST[id_cliente]>0){
			atualizar('ordem',orde_nb_entidade,$_POST[id_cliente],$a_ordem[orde_nb_id]);
		}

	}elseif($_POST[id_vendedor]>0){

		$sql_ordem = selecionar('ordem','orde_nb_id,orde_tx_status',"$a_coma[0],!inativo",' LIMIT 1 ');
		$a_ordem = carrega_array($sql_ordem);
		if($_POST[id_vendedor]>0){
			atualizar('ordem',orde_nb_user,$_POST[id_vendedor],$a_ordem[orde_nb_id]);
		}

	}else{



		$_POST[erro] = 'Produto não encontrado!';
		layout_pedido();
		exit;		
	}

	// if($a_prod[prod_tx_qtde] <= 0){
	// 	$_POST[erro] = 'Produto sem estoque!';
	// 	layout_pedido();
	// 	exit;
	// }


	$qtde_prod = valor($_POST[quantidade],1);
	$campos_itemVenda = array(orpr_tx_obs,orpr_nb_userCadastro,orpr_nb_produto,orpr_tx_custo,orpr_tx_qtde,orpr_tx_valor,orpr_tx_data,orpr_tx_status,orpr_nb_ordem);
	$valores_itemVenda = array(trim($_POST[observacao]),$_SESSION[user_nb_id],$a_prod[prod_nb_id],$a_prod[prod_tx_valorCusto],$qtde_prod,$a_prod[prod_tx_valorVenda],date('Y-m-d H:i:s'),'ativo'); // O ID DA VENDA SERÁ ADICIONADO LOGO ABAIXO

	// //REALIZA A BAIXA NO ESTOQUE
	// atualizar('produto',array('prod_tx_qtde'),array($a_prod[prod_tx_qtde]-$qtde_prod),$a_prod[prod_nb_id]);

	//VERIFICA SE JÁ EXISTE UMA VENDA ABERTA PARA A COMANDA INFORMADA
	if ( num_linhas($sql_venda) == 1 ){

		$a_venda = carrega_array($sql_venda);

		array_push($valores_itemVenda, $a_venda[orde_nb_id]);
		inserir('orpr',$campos_itemVenda,$valores_itemVenda);
		$id_item_venda = ultimo_reg('orpr');

		// if($_POST[id_produto] == '29'){
		// 	gera_taxa($a_venda[orde_nb_id]);
		// }



		// REGISTRA A AÇÃO REALIZADA
		// registrar("Adicionou o produto $a_prod[prod_tx_codbarras] na comanda $a_venda[orde_tx_comanda]",$a_venda[orde_nb_id],$id_item_venda,$a_prod[prod_nb_id]);


		// $_POST[busca_comandas] = $a_venda[orde_tx_comanda];

		// set_status("PEDIDO\\n\\nCodigo: $_POST[codigo_barras]\\nProd: $a_prod[prod_tx_nome]\\nQtde: $qtde_prod\\nComanda: $_POST[busca_comandas]");
		
	} else {


		// SE ESTIVER INICIANDO UM PEDIDO, CRIA UMA NOVA COMANDA
		$comanda = $a_coma[0];

		$campos_venda = array(orde_nb_empresa,orde_nb_entidade,orde_tx_dataCadastro,orde_tx_status,orde_nb_user);
		$valores_venda = array(1,1,date('Y-m-d H:i:s'),'orçamento',$_SESSION[user_nb_id]);
		inserir('ordem',$campos_venda,$valores_venda,1);
		$id_venda = ultimo_reg('ordem');

		$a_venda = carregar('orde_nb_id|ordem',$id_venda);
		// $_POST[busca_comandas] = $a_venda[orde_tx_comanda];
		
		array_push($valores_itemVenda, $id_venda);
		inserir('orpr',$campos_itemVenda,$valores_itemVenda,1);
		$id_item_venda = ultimo_reg('orpr');


		gera_taxa($id_venda);


		registra_acao('INICIOU','ordem',$id_venda);

		// REGISTRA A AÇÃO REALIZADA
		// registrar("Abriu a comanda $a_venda[orde_tx_comanda] e inseriu o produto $a_prod[prod_tx_codbarras]",$id_venda,$id_item_venda,$a_prod[prod_nb_id]);


//		set_status("Cadastrada a nova comanda $_POST[busca_comandas]!");
//		set_status("Item $_POST[codigo_barras] adicionado a comanda $_POST[busca_comandas]!");
		// set_status("PEDIDO\\n\\nCodigo: $_POST[codigo_barras]\\nProd: $a_prod[prod_tx_nome]\\nQtde: $qtde_prod\\nComanda: $_POST[busca_comandas]");
		
	}

	registra_acao('ADICIONOU','orpr',$id_item_venda);


	$_POST[descricao_produto] = $a_prod[prod_tx_nome];
	$_POST[valor_unitario] = mostra_valor($a_prod[prod_tx_valorVenda],1);
	$_POST[valor_total] = mostra_valor($a_prod[prod_tx_valorVenda]*$_POST[quantidade],1);

	// set_status('Produto lançado!');

	// LIMPA AS MENSAGENS
	unset($_POST[msg_status]);

	layout_pedido();
	exit;
}






function calcula_vencimentos(){
	
	$parcelas = $_GET[parcelas];
	
	$hj = gera_data('hoje');
	
	$data = $hj;
	
	// javascript("
		
	// 	window.parent.document.getElementById('venc_'+0).value='".data($hj)."';
		
	// ");
	
	for($i=0; $i!=$parcelas; $i++){
		
		$data += 2592000 ;// HJ + 30dias
		$n = $i;
		
		javascript("
			
			window.parent.document.getElementById('venc_'+$n).value='".data($data)."';
			
		");
		
	}
	
}



function baixa_estoque($id_ordem=0){


	if ( intval($id_ordem) == 0 ) {
		set_status('ERRO: Código do pedido não informado!');

		index();
		exit;
	}

	
	// DA BAIXA NO ESTOQUE
	$s = selecionar('orpr','orpr_nb_ordem',"$id_ordem"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");


	while( $a = fetch_array($s) ) {
		
		$prod = carregar('produto',$a[orpr_nb_produto]);
		
		if( $a[orpr_tx_forma] == 'Unidade' ) {
			
			
			$qtde = ($prod[prod_tx_qtde]-$a[orpr_tx_qtde]);
			
		}else{
			
			$qtde = $prod[prod_tx_qtde]-($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);			
		}
		
		$campos = array(NOME_QTDE);
		$valores = array($qtde);

		atualizar('produto',$campos,$valores,$prod[prod_nb_id]);		
	}

	// MUDA O STATUS DAS ORPR DE ESPERANDO PARA ATIVO
	atualizar('orpr','orpr_tx_status','ativo','','orpr_nb_ordem,orpr_tx_status',"$id_ordem,esperando");	
}




function retorna_estoque($id_ordem=0){


	if ( intval($id_ordem) == 0 ) {
		set_status('ERRO: Código do pedido não informado!');

		index();
		exit;
	}

	
	// DA BAIXA NO ESTOQUE
	$s = selecionar('orpr','orpr_nb_ordem',"$id_ordem"," AND (orpr_tx_status='esperando' OR orpr_tx_status='ativo') ");


	while( $a = fetch_array($s) ) {
		
		$prod = carregar('produto',$a[orpr_nb_produto]);
		
		if( $a[orpr_tx_forma] == 'Unidade' ) {			
			
			$qtde = ($prod[prod_tx_qtde]+$a[orpr_tx_qtde]);
			
		}else{
			
			$qtde = $prod[prod_tx_qtde]+($a[orpr_tx_qtde]*$prod[prod_tx_embalagem]);			
		}
		
		$campos = array(NOME_QTDE);
		$valores = array($qtde);

		atualizar('produto',$campos,$valores,$prod[prod_nb_id]);		
	}

}



function calcula_desconto(){

if( $_GET[forma] != '') {
		
		$a = carregar('forma',$_GET[forma]);
		
		$valor = $_GET[total]-($_GET[total]*($_GET[form_tx_desconto]/100));
		// SE TIVER DESCONTO EM %
		
		if($_GET[reais]!='' || $_GET[reais]!='0' || $_GET[porcentagem]!='0'  || $_GET[porcentagem]!=''){
			
			$reais = valor($_GET[reais]);
			$porcentagem = valor($_GET[porcentagem]);
			$valor = $_GET[total]-($_GET[total]*($porcentagem/100));
			
			$valor -= $reais;
			
			$desconto_final = (($valor*100)/$_GET[total])-100;
			$desconto_final = mostra_valor(abs(round($desconto_final,2)))."%";
			
			echo "Entrou!";
		}
		
		$desc = mostra_valor($_GET[total]-$valor);
		$desc2 = round($_GET[total]-$valor,2);
		$valor = mostra_valor($valor);
		
		
		echo "<hr>VALOR: $valor<br>desc: $desc<br>Desc2: $desc2<br>";
		
	} else {
		
		$valor = mostra_valor($_GET[total]);
		$desc = '';
		$desc2 = '';
		$a[form_tx_desconto]='';
		
	}
	
	$desc_t = $desconto_final." (R$ ".$desc.")";
	
	javascript("
		
		// window.parent.$('div_total').innerHTML='$valor';
		// window.parent.$('div_descontot').innerHTML='$desc_t';
		// window.parent.document.cadastro.desconto_p.value='$a[form_tx_desconto]';
		// window.parent.document.cadastro.valor_desconto_t_original.value='$desc2';
		// window.parent.document.cadastro.desconto_t.value='$valor';

		window.parent.document.cadastro.valor_total_final.value='$valor';
		window.parent.$('div_total').innerHTML='$valor';
		window.parent.$('div_descontot').innerHTML='$desc_t';
		window.parent.document.cadastro.desconto_p.value='$_GET[porcentagem]';
		window.parent.document.cadastro.valor_desconto_t_original.value='$desc2';
		window.parent.document.cadastro.desconto_t.value='$valor';
		
	");
	
}






function cadastra_produto(){

	// print_r($_POST);exit;


	// SE FOR O INICIO DA VENDA CHAMA A FUNCAO ABRE_PEDIDO()
	if( !$_POST[ordem] ) {
		abrir_pedido();
	}
	
	if( !$_POST[qtde] )
		$_POST[qtde] = 1;
	
	$_POST[qtde] = valor($_POST[qtde]);

	$_POST[forma] = 'Unidade';

	
	if( intval($_POST[produto]) == 0 ) {
		set_status('ERRO: entre com um produto!');
		layout_pedido();
		exit;
	}

	
	// CONFIRMA SE O PEDIDO FOI REALMENTE ABERTO
	if( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Falha ao abrir pedido!');
		layout_pedido();
		exit;
	}



	$p = carregar('produto',$_POST[produto]);


	$campos = array(orpr_nb_ordem,orpr_nb_produto,orpr_tx_valor,orpr_tx_qtde,orpr_tx_custo,orpr_tx_status,orpr_tx_forma);
	$valores = array($_POST[ordem],$_POST[produto],$p[prod_tx_valorCusto],$_POST[qtde],$p[prod_tx_valorCusto],'esperando',$_POST[forma]);
	inserir('orpr',$campos,$valores,1);

	
	layout_pedido();
	exit;
	
}




function atualiza_produto(){

	
	// SE ESQUECEU DE ENTRAR COM A QUANTIDADE ENTAO JOGA 1
	if( !$_POST[qtde] )
		$_POST[qtde] = 1;

	
	// CONFIRMA SE O PEDIDO FOI REALMENTE ABERTO
	if( intval($_POST[ordem]) == 0 ) {
		set_status('ERRO: Pedido não aberto!');
		layout_pedido();
		exit;
	}

	
	if( intval($_POST[produto]) == 0 ) {
		set_status('ERRO: entre com um produto!');
		layout_pedido();
		exit;
	}


	$_POST[qtde] = valor($_POST[qtde]);

	$_POST[forma] = 'Unidade';

	
	$p = carregar('produto',$_POST[produto]);

	

	$campos = array(orpr_nb_ordem,orpr_nb_produto,orpr_tx_valor,orpr_tx_qtde,orpr_tx_custo,orpr_tx_status,orpr_tx_forma);
	$valores = array($_POST[ordem],$_POST[produto],$p[prod_tx_valorCusto],$_POST[qtde],$p[prod_tx_valorCusto],'esperando',$_POST[forma]);
	atualizar('orpr',$campos,$valores,$_POST[id]);

	
	layout_pedido();
	exit;

}




function abrir_pedido(){
	
	$LOJA = 1;


	if ( intval($_POST[cliente]) == 0 ) {

		set_status('ERRO: informe o cliente!');

		index();
		exit;
	}

	$campos = array(orde_nb_entidade,orde_tx_data,orde_tx_dataCadastro,orde_tx_status,orde_tx_tipo,orde_nb_user,orde_nb_empresa);
	$valores = array($_POST[cliente],date('Y-m-d H:i:s'),date('Y-m-d H:i:s'),'devolucao compra','Devolução Compra',$_SESSION[user_nb_id],$LOJA);
	inserir('ordem',$campos,$valores,1);
	$id_venda = ultimo_id('ordem');

	registra_acao('INICIOU','ordem',$id_venda);
	
	$_POST[busca_comandas] = ';'.$id_venda;
	
	set_status('Devolução iniciada com Sucesso!');	
}

CONTROLE();
?>